<template>
  <QueryMenuView @close="handleReset" @confirm="emit('close')" cancelText="重置">
    <div class="home-query-position-menu-view">
      <PositionSelectView v-model="query.position" />
    </div>
  </QueryMenuView>
</template>

<script setup lang="ts">
import { QueryMenuView, QueryMenuItem, PositionSelectView } from '@12333/components';
import { GenderText } from '@12333/constants';

defineOptions({
  name: 'HomeQueryPositionMenuView',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});

const emit = defineEmits<{
  (e: 'reset'): void;
  (e: 'close'): void;
}>();

const query = defineModel<{
  position: any[];
}>('query');

const DefaultQuery = {
  ...query.value,
};

function handleReset() {
  for (const key in DefaultQuery) {
    query.value[key] = DefaultQuery[key];
  }
}
</script>

<style lang="scss">
@import '@/styles/common.scss';

.home-query-position-menu-view {
  max-height: 400px;
}
</style>
